Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.input
Class GUIInputHandler

    java.lang.Object
      net.sf.antcontrib.input.GUIInputHandler

All Implemented Interfaces:
  org.apache.tools.ant.input.InputHandler

    public class GUIInputHandler

extends java.lang.Object
implements org.apache.tools.ant.input.InputHandler

Prompts for user input using a JOptionPane. Developed for use with Antelope, migrated to ant-contrib Oct 2003.

Since:
  Ant 1.5
Version:
  $Revision: 1.3 $
Author:
  Dale Anson

Constructor Summary
`GUIInputHandler()`
`GUIInputHandler(java.awt.Component parent)`

Method Summary
`void` | `handleInput(org.apache.tools.ant.input.InputRequest request)` Prompts and requests input.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GUIInputHandler

    public GUIInputHandler()

### GUIInputHandler

    public GUIInputHandler(java.awt.Component parent)

Parameters:
  `parent` - the parent component to display the input dialog.

Method Detail

### handleInput

    public void handleInput(org.apache.tools.ant.input.InputRequest request)
                     throws org.apache.tools.ant.BuildException

  Prompts and requests input. May loop until a valid input has been entered.

  Specified by:
    `handleInput` in interface `org.apache.tools.ant.input.InputHandler`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD